Platform
APIs & SDKs
Resources
Go to Console

Partner API

Introduction

The Text Partner API provides a RESTful interface that enables partners to programmatically access and manage their partnership data. Use this API to retrieve earnings reports, manage customer licenses, and oversee affiliate campaigns.

API status

GET https://api.livechatinc.com/v2/partners/status

Authorization

Partner authentication uses API tokens, which you can generate within the Partner App. Include these tokens in the Authorization header of your HTTP requests to authenticate and authorize access to the API endpoints.

You can create your token in the API tokens section.

Available methods

Accountget_profile update_profile get_stats get_coupons get_earnings get_commission_report get_partners_referred_earnings_report get_billing get_balance get_commission_metric update_billing request_withdrawal get_withdrawals create_api_token get_api_tokens revoke_api_token
Affiliate Partnercreate_campaign search_campaigns get_campaigns disable_campaign get_affiliate_licenses get_performance_report get_partners_referred get_affiliate_links get_trials_metrics get_earnings_metrics get_conversions_metrics get_clicks_metrics get_referred_partners_commission_metrics get_trials_report get_earnings_report get_conversions_report get_clicks_report get_campaigns_earnings_metric get_campaigns_earnings_report get_campaigns_summary get_best_performing_campaigns_clicks_report get_best_performing_campaigns_trials_report get_best_performing_campaigns_conversions_report get_best_performing_campaigns_earnings_report get_best_performing_campaigns_clicks_metrics get_best_performing_campaigns_trials_metrics get_best_performing_campaigns_conversions_metrics get_best_performing_campaigns_earnings_metrics get_summary
Solution Partnercreate_organization get_organization_licenses get_organization_details create_license get_solution_licenses get_solution_licenses_by_status get_license_details update_license_details invite_license_operators get_license_invoices get_license_invoice_pdf create_subscription update_subscription close_subscription update_license_billing transfer_license get_recurly_token get_license_metrics get_solution_licenses_report get_solution_licenses_csv_report get_leads get_lead_details get_lead_history submit_lead get_solution_summary
Partner Directoryupload_logo create_expert_profile get_expert_profile update_expert_profile get_comments get_expert_stats get_expert_history
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'

Postman Collection

You can find all the requests from the Partner API in Postman. In our collection, we use environment variables for the API token - remember to replace it with your own.

Run in Postman

Account

Get Profile

Returns the profile information for the authenticated partner.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "partner_id": "xyz",
  "login": "joe@email.com",
  "first_name": "Joe",
  "last_name": "Doe",
  "contact_name": "Jane Doe",
  "contact_email": "jane@email.com",
  "solution_status": "accepted",
  "properties": {
  "sales_kit_popup_closed": true,
  "pitch_deck_downloaded": true,
  "tier2_popup_closed": true,
  "payment_origin_popup_closed": true
  // and more properties (used for showing popups in Partners App)
  }
}

Update Profile

Updates the profile information for the authenticated partner.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/profile
Request
ParameterRequiredData typeNotes
first_nameYesstringThe first name.
last_nameYesstringThe last name.
contact_nameYesstringThe contact name.
contact_emailYesstringThe contact email.
send_monthly_summaryNoboolIf true, opt-in for a monthly summary.
send_reseller_weekly_summaryNoboolIf true, opt-in for a weekly reseller summary.
send_newsletterNoboolIf true, opt-in for the partner newsletter.
send_notificationsNoboolIf true, opt-in for notifications.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request PUT \
  --url https://api.livechatinc.com/v2/partners/profile \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "first_name": "Joe",
    "last_name": "Doe",
    "contact_name": "Jane Doe",
    "contact_email": "jane@email.com"
  }'

Get Stats

Returns the number of licenses for each product and partnership model.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/stats
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/stats \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "affiliate": {
    "livechat": {
    "trials": 120,
    "trials_cc": 38,
    "paid": 41
  },
  "chatbot": {
    "trials": 96,
    "trials_cc": 52,
    "paid": 34
  },
  "helpdesk": {
    "trials": 21,
    "trials_cc": 37,
    "paid": 47
  },
  "partner_program": {
    "partners_referred": 63,
    "trials": 42,
    "trials_cc": 24,
    "paid": 37
  }
  },
  "solution": {
    "livechat": {
    "trials": 12,
    "trials_cc": 7,
    "paid": 28
  },
  "chatbot": {
    "trials": 51,
    "trials_cc": 21,
    "paid": 19
  },
  "helpdesk": {
    "trials": 21,
    "trials_cc": 37,
    "paid": 47
  }
  }
}

Get Coupons

Returns the list of active coupons.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/coupons
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/coupons \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "id": 1,
      "label": "30% off first payment"
    },
    {
      "id": 2,
      "label": "$25 discount"
    }
  ]
}

Get Earnings

Returns earnings information including commission earned, balance, blocked and pending amounts, and more.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/earnings
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/earnings \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "balance": 2552,
  "blocked": 0,
  "commission_total": 16519.12,
  "commission_last_30_days": 61.34,
  "withdrawals": 0,
  "pending": 13546,
  "affiliate": {
    "commission_total": 16098,
    "commission_last_30_days": 0,
    "livechat": {
      "commission_total": 15942,
      "commission_last_30_days": 0
    },
    "chatbot": {
      "commission_total": 0,
      "commission_last_30_days": 0
    },
    "partner_program": {
      "commission_total": 156,
      "commission_last_30_days": 0
    }
  },
  "solution": {
    "commission_total": 421.12,
    "commission_last_30_days": 61.34,
    "livechat": {
      "discount": 45943.76,
      "commission_total": 0,
      "commission_last_30_days": 0
    },
  "chatbot": {
      "discount": 0,
      "commission_total": 421.12,
      "commission_last_30_days": 61.34
    }
  }
}

Get Commission Report

Returns commission reports.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/reports/commission
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get the report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get the report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
filtersNostringURL-encoded filters. An array of objects with field, value, and operator properties.
aggregationYesstringThe timespan by which to aggregate the report. Possible values: day, week, month.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/reports/commission?date_from=2022-12-15T00:00:00Z&date_to=2023-02-14T23:59:59Z&aggregation=month&filters=%5B%7B%22field%22%3A%22product%22%2C%22value%22%3A%22livechat%22%2C%22operator%22%3A%22equals%22%7D%5D \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "items": [
    {
      "date_range": {
        "from": "2022-12-01 00:00:00",
        "to": "2022-12-31 23:59:59"
      },
      "total": 6326.39
    },
    {
      "date_range": {
        "from": "2023-01-01 00:00:00",
        "to": "2023-01-31 23:59:59"
      },
      "total": 4949.1
    },
    {
      "date_range": {
        "from": "2023-02-01 00:00:00",
        "to": "2023-02-28 23:59:59"
      },
    "total": 7824.5
    }
  ]
}

Get Partners Referred Earnings Report

Returns the commission earned from referring partners.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/partners-referred/reports/commission
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get the report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get the report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
aggregationYesstringThe timespan by which to aggregate the report. Possible values: day, week, month.
productNostringThe product to get the report for. Possible values: livechat, chatbot, helpdesk, all. Default: all.
programNostringThe program to get the report for. Possible values: affiliate, solution, all. Default: all.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/partners-referred/reports/commission?aggregation=month&date_from=2022-03-25T00:00:00Z&date_to=2022-05-04T00:00:00Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "items": [
        {
            "date_range": {
                "from": "2022-03-01 00:00:00",
                "to": "2022-03-31 23:59:59"
            },
            "total": 885.58
        },
        {
            "date_range": {
                "from": "2022-04-01 00:00:00",
                "to": "2022-04-30 23:59:59"
            },
            "total": 347.94
        },
        {
            "date_range": {
                "from": "2022-05-01 00:00:00",
                "to": "2022-05-31 23:59:59"
            },
            "total": 1413.69
        }
    ]
}

Get Billing

Returns billing information.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/billing
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/billing \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "company": "Awesome Company",
  "vat": "123",
  "address": "Wall Street 123",
  "city": "New York",
  "zip_code": "10005",
  "country": "US",
  "paypal": "paypal@email.com",
  "type": "business"
}

Get Balance

Returns balance information.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/balance
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/balance \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "pending": 21.00,
  "withdrawn": 37.00,
  "available": 362.00,
  "total": "420.00"
}

Get Commission Metric

Returns the commission metric.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/metrics/commission
Request
ParameterRequiredData typeNotes
date_fromNostringThe date to get the commission metric from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toNostringThe date to get the commission metric up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
productNostringThe product to get the commission metric for. Possible values: livechat, chatbot, helpdesk, all. Default: all.
programNostringThe program to get the commission metric for. Possible values: solution, affiliate, all. Default: all.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/metrics/commission?date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z&product=livechat&program=solution \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "value": 1232.12
}

Update Billing

Updates billing information.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/billing
Request
ParameterRequiredData typeNotes
typeYesstringThe type. Possible values: business, individual.
companyYesstringThe company name (if business) or full name (if individual).
addressYesstringThe address.
cityYesstringThe city.
countryYesstringThe country code. Possible values.
paypalYesstringThe PayPal login (email).
zip_codeNostringThe ZIP / Postal code.
vatNostringThe VAT.
stateNostringThe state.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request PUT \
  --url https://api.livechatinc.com/v2/partners/billing \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "type": "business",
    "company": "Awesome Company",
    "address": "Wall Street 123",
    "city": "New York",
    "country": "US",
    "paypal": "paypal@email.com"
  }'

Request Withdrawal

Creates a withdrawal request.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/withdrawals
EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/withdrawals \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "withdrawal_id": 2,
  "request_timestamp": "2018-03-06 12:24:42",
  "action_timestamp": "",
  "status": "pending",
  "amount": 1520,
  "invoice_id": "2018/2/xyz",
  "paypal": "joe@doe.com"
}

Get Withdrawals

Returns the list of withdrawals.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/withdrawals
Request
ParameterRequiredData typeNotes
date_fromNostringThe date to get the report on withdrawals from. Date format: YYYY-MM-DD.
date_toNostringThe date to get the report on withdrawals up to. Date format: YYYY-MM-DD.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/withdrawals \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
    "withdrawal_id": 2,
      "request_timestamp": "2018-03-06 12:24:42",
      "action_timestamp": "",
      "status": "pending",
      "amount": 1520,
      "invoice_id": "2018/2/xyz",
    "paypal": "joe@doe.com"
    },
    {
    "withdrawal_id": 1,
      "request_timestamp": "2018-02-02 11:43:37",
      "action_timestamp": "2018-02-02 12:04:11",
      "status": "paid",
      "amount": 1063.3,
      "invoice_id": "2018/1/xyz",
    "paypal": "joe@doe.com"
    }
  ]
}

Create API Token

Creates a new API token.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/tokens
Request
ParameterRequiredData typeNotes
labelYesstringA custom label for the token (min. 3 characters).
EXAMPLE REQUEST
Copied!
curl --request POST \
  --data 'label=My first API token' \
  --url https://api.livechatinc.com/v2/partners/tokens \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "id": 1,
  "token": "secrettokengeneratedbyapi...",
  "creation_timestamp": "2018-03-06 15:14:26",
  "label": "My first API token"
}

Get API Tokens

Returns the list of active API tokens.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/tokens
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/tokens \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "id": 2,
      "token": "anothersecrettokengeneratedbyapi...",
      "creation_timestamp": "2018-03-06 17:14:26",
      "label": "Token for my service"
    },
    {
      "id": 1,
      "token": "secrettokengeneratedbyapi...",
      "creation_timestamp": "2018-03-06 15:14:26",
      "label": "My first API token"
    }
  ]
}

Revoke API Token

Revokes an API token.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/tokens/<id>
Request
ParameterRequiredData typeNotes
<id>YesstringThe token ID.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request DELETE \
  --url https://api.livechatinc.com/v2/partners/tokens/1 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'

Affiliate Partner

Create Campaign

Creates a new campaign.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns
Request
ParameterRequiredData typeNotes
productYesstringThe product. Possible values: livechat, chatbot, helpdesk, partner_program.
nameYesstringThe campaign name (min. 5, max. 100 characters).
linkYesstringThe URL of the product landing page (default: product homepage).
trial_durationYesintThe number of days of the trial period (min. 14 - default, max. 30).
coupon_idNointThe ID of the coupon assigned to a Partner (a discount will be applied).
EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns?product=livechat \
  --data 'name=New campaign&link=https://www.livechat.com/features/&trial_duration=30&coupon_id=1' \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "product": "livechat",
  "name": "New campaign",
  "slug": "pp_new-campaign",
  "url": "https://www.livechat.com/features/?a=xyz&utm_campaign=pp_new-campaign",
  "short_url": "https://lc.chat/abc",
  "creation_timestamp": "2018-03-06 11:30:40",
  "trial_duration": 30,
  "discount": "$25 discount"
}

// Note - `slug` is a URL-friendly campaign name with `pp_` prefix

Search Campaigns

Searches for campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/search
Request
ParameterRequiredData typeNotes
pageYesintThe pagination page number.
stateYesstringThe state. Possible values: active, archived.
productNostringThe product. Possible values: livechat, chatbot, helpdesk, all. Default: all.
filtersNostringAn array of objects with field, value, and operator properties.
sort_byNostringThe field to sort by. Possible values: creation_timestamp.
sort_orderNostringThe sort order. Possible values: desc, asc.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/search?page=1&product=all&state=active&filters=[]&&sort_order=desc&sort_by=creation_timestamp \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "value": 123.00,
    "results": [
        {
            "id": 123,
            "name": "campaign-test-name",
            "product": "chatbot",
            "created_at": "2023-01-01 11:22:59",
            "landing_page_url": "https://staging.chatbot.com/features",
            "slug": "pp-campaign-test-name",
            "is_default": false,
            "region": "dal",
            "offer": null
        }
    ],
    "total": 120, // represents total number of campaigns
    "limit": 15, // represents number of campaigns per page
}

Get Campaigns

Returns campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns
Request
ParameterRequiredData typeNotes
stateNostringThe state. Possible values: active (default), disabled.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
    "active": true,
    "product": "livechat",
      "name": "Hello World!",
      "slug": "pp_hello-world",
      "url": "https://www.livechat.com/pricing/?a=xyz&utm_campaign=pp_hello-world&utm_source=PP",
      "short_url": "https://lc.chat/abc",
      "creation_timestamp": "2018-03-06 23:42:19",
      "trial_duration": 30,
      "discount": "30% off first payment",
    },
    {
    "active": true,
    "creation_timestamp": "2019-11-21 14:22:14",
    "name": "Test Campaign",
    "product": "chatbot",
    "short_url": "https://lc.chat/xyz",
    "slug": "pp_test-campaign",
    "trial_duration": 7,
    "url": "https://chatbot.com/?a=xyzK&utm_campaign=pp_test-campaign&utm_source=PP"
    }
  ]
}

// Note - `slug` is a URL-friendly campaign name with `pp_` prefix

Disable Campaign

Disables a campaign.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/<campaign_id>
Request
ParameterRequiredData typeNotes
<campaign_id>YesstringThe campaign ID.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request DELETE \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/123 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'

Get Affiliate Licenses

Returns the list of Affiliate licenses.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/licenses
Request
ParameterRequiredData typeNotes
date_fromNostringThe date to get licenses created from. Date format: YYYY-MM-DD.
date_toNostringThe date to get licenses created up to. Date format: YYYY-MM-DD.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/licenses \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "product": "livechat",
      "creation_timestamp": "2019-10-25 14:55:57",
      "end_timestamp": "2019-11-25 12:55:54",
      "active": true,
      "ql": true,
      "cc_added": false,
      "paid": false,
      "commission_percent": 20,
      "earnings": 0,
      "blocked": false,
      "campaign_name": "",
      "utm_campaign": "",
      "utm_medium": "",
      "utm_content": "",
      "utm_term": ""
    },
    {
      "product": "chatbot",
      "creation_timestamp": "2019-09-05 15:51:39",
      "end_timestamp": "2019-10-05 13:51:39",
      "active": true,
      "ql": true,
      "cc_added": true,
      "paid": true,
      "commission_percent": 20,
      "earnings": 18.2,
      "blocked": false,
      "campaign_name": "",
      "utm_campaign": "",
      "utm_medium": "",
      "utm_content": "",
      "utm_term": ""
    }
  ]
}

Get Performance Report

Returns the Affiliate's performance report.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/performance
Request
ParameterRequiredData typeNotes
date_fromNostringThe date to get a report for licenses created from. Date format: YYYY-MM-DD.
date_toNostringThe date to get a report for licenses created up to. Date format: YYYY-MM-DD.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/performance \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "product": "livechat",
      "campaign_name": "Newsletter",
      "utm_campaign": "pp_newsletter",
      "utm_medium": "",
      "utm_content": "",
      "utm_term": "",
      "clicks": 141,
      "trials": 58,
      "qls": 47,
      "paid": 24,
      "partners_referred": 0,
      "commission": 7284.2
    },
    {
      "product": "partner_program",
      "campaign_name": "ad",
      "utm_campaign": "pp_ad",
      "utm_medium": "",
      "utm_content": "",
      "utm_term": "",
      "clicks": 154,
      "trials": 0,
      "qls": 0,
      "paid": 0,
      "partners_referred": 123,
      "commission": 3141
    },
    {
      "product": "chatbot",
      "campaign_name": "AI Campaign",
      "utm_campaign": "pp_ai-campaign",
      "utm_medium": "",
      "utm_content": "",
      "utm_term": "",
      "clicks": 72,
      "trials": 41,
      "qls": 17,
      "paid": 23,
      "partners_referred": 0,
      "commission": 1961.6
    }
  ]
}

Get Partners Referred

Returns the list of referred Partners.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/partners-referred
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/partners-referred \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "partner_id": "W-5ZzZyiR",
      "creation_timestamp": "2019-08-21 10:02:44",
      "active_trials": 10,
      "active_trials_cc_added": 14,
      "total_trials": 41,
      "active_paid": 8,
      "total_paid": 8,
      "commission": 5124.2,
      "campaign_name": "",
      "utm_campaign": "",
      "utm_medium": "",
      "utm_content": "",
      "utm_term": ""
  },
    {
      "partner_id": "BqgFtQEmR",
      "creation_timestamp": "2019-08-14 16:24:12",
      "active_trials": 16,
      "active_trials_cc_added": 4,
      "total_trials": 51,
      "active_paid": 19,
      "total_paid": 20,
      "commission": 6815,
      "campaign_name": "My awesome campaign",
      "utm_campaign": "pp_my_awesome_campaign",
      "utm_medium": "",
      "utm_content": "",
      "utm_term": ""
    }
  ]
}

Get Affiliate Links

Returns affiliate links (long and short version) for default campaigns of each product.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/links
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/links \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "livechat": {
        "url": "https://www.livechat.com/?a=JXkcUIvMR&utm_source=PP",
        "short_url": "https://lc.chat/pTQxp"
    },
    "chatbot": {
        "url": "https://www.chatbot.com/?a=JXkcUIvMR&utm_source=PP",
        "short_url": "https://lc.chat/Xm6qW"
    },
    "partner_program": {
        "url": "https://partners.livechat.com/?a=JXkcUIvMR&utm_source=PP",
        "short_url": "https://lc.chat/xzrKk"
    }
}

Get Trials Metrics

Returns the number of trials generated from Affiliate campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/metrics/trials
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get trials metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get trials metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/metrics/trials?date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "value": 99
}

Get Earnings Metrics

Returns earnings generated from Affiliate campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/metrics/earnings
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get earnings metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get earnings metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
productNostringThe product to get earnings metrics for. Possible values: livechat, chatbot, helpdesk.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/metrics/earnings?date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z&product=livechat \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "value": 123.45
}

Get Conversions Metrics

Returns the number of trials converted into paid licenses generated from Affiliate campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/metrics/conversions
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get conversions metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get conversions metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
productNostringThe product to get conversions metrics for. Possible values: livechat, chatbot, helpdesk.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/metrics/conversions?date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "value": 123
}

Get Clicks Metrics

Returns clicks generated from Affiliate campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/metrics/clicks
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get clicks metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get clicks metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
productNostringThe product to get clicks metrics for. Possible values: livechat, chatbot, helpdesk.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/metrics/clicks?date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "value": 123
}

Get Referred Partners Commission Metrics

Returns commission generated from referred partners' activity.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/partners-referred/metrics/commission
Request
ParameterRequiredData typeNotes
date_fromNostringThe date to get commission metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toNostringThe date to get commission metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
productNostringThe product to get commission metrics for. Possible values: livechat, chatbot, helpdesk, partner_program, all. Default: all.
programNostringThe program to get commission metrics for. Possible values: solution, affiliate, all. Default: all.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/partners-referred/metrics/commission?date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z&product=livechat&program=solution \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "value": 123.45
}

Get Trials Report

Returns trials report for the Affiliate activity over time (up to last 12 months).

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/reports/trials
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get the report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get the report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
aggregationYesstringThe timespan by which to aggregate the report. Possible values: day, week, month.
productNostringThe product to get the report for. Possible values: livechat, chatbot, helpdesk, all. Default: all.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/reports/trials?date_from=2022-02-15T00:00:00Z&date_to=2023-02-14T23:59:59Z&aggregation=month&product=livechat \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "items": [
    {
      "date_range": {
        "from": "2023-02-12 00:00:00",
        "to": "2023-02-12 23:59:59"
      },
      "total": 3
    },
    {
      "date_range": {
        "from": "2023-02-13 00:00:00",
        "to": "2023-02-13 23:59:59"
      },
      "total": 5
    },
    {
      "date_range": {
        "from": "2023-02-14 00:00:00",
        "to": "2023-02-14 23:59:59"
      },
      "total": 0
    }
  ]
}

Get Earnings Report

Returns earnings report for the Affiliate activity over time (up to last 12 months).

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/reports/earnings
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get the report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get the report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
aggregationYesstringThe timespan by which to aggregate the report. Possible values: day, week, month.
productNostringThe product to get the report for. Possible values: livechat, chatbot, helpdesk, all. Default: all.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/reports/earnings?date_from=2022-12-15T00:00:00Z&date_to=2023-02-14T23:59:59Z&aggregation=month&product=livechat \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "items": [
    {
      "date_range": {
        "from": "2022-12-01 00:00:00",
        "to": "2022-12-31 23:59:59"
      },
      "total": 6326.39
    },
    {
      "date_range": {
        "from": "2023-01-01 00:00:00",
        "to": "2023-01-31 23:59:59"
      },
      "total": 4949.1
    },
    {
      "date_range": {
        "from": "2023-02-01 00:00:00",
        "to": "2023-02-28 23:59:59"
      },
    "total": 7824.5
    }
  ]
}

Get Conversions Report

Returns conversions report for the Affiliate activity over time (up to last 12 months).

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/reports/conversions
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get the report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get the report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
aggregationYesstringThe timespan by which to aggregate the report. Possible values: day, week, month.
productNostringThe product to get the report for. Possible values: livechat, chatbot, helpdesk, all. Default: all.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/reports/conversions?date_from=2023-01-21T00:00:00Z&date_to=2023-02-11T23:59:59Z&aggregation=week&product=chatbot \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "items": [
    {
      "date_range": {
        "from": "2023-01-16 00:00:00",
        "to": "2023-01-22 23:59:59"
      },
      "total": 6
    },
    {
      "date_range": {
        "from": "2023-01-23 00:00:00",
        "to": "2023-01-29 23:59:59"
      },
        "total": 3
    },
    {
      "date_range": {
        "from": "2023-01-30 00:00:00",
        "to": "2023-02-05 23:59:59"
      },
      "total": 0
    },
    {
      "date_range": {
        "from": "2023-02-06 00:00:00",
        "to": "2023-02-12 23:59:59"
      },
      "total": 1
    }
  ]
}

Get Clicks Report

Returns clicks report for the Affiliate activity over time (up to last 12 months).

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/reports/clicks
Request
ParameterRequiredData typeNotes
date_fromYesstringThe date to get the report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get the report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
aggregationYesstringThe timespan by which to aggregate the report. Possible values: day, week, month.
productNostringThe product to get the report for. Possible values: livechat, chatbot, helpdesk, all. Default: all.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/reports/clicks?date_from=2023-03-25T00:00:00Z&date_to=2023-03-26T23:59:59Z&aggregation=day&product=all \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "items": [
    {
      "date_range": {
        "from": "2023-03-25 00:00:00",
        "to": "2023-03-25 23:59:59"
      },
      "total": 0
    },
    {
      "date_range": {
        "from": "2023-03-26 00:00:00",
        "to": "2023-03-26 23:59:59"
      },
      "total": 1
    }
  ]
}

Get Campaigns Earnings Metric

Returns the affiliate campaign earnings metric.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/<campaign_id>/metrics/earnings
Request
ParameterRequiredData typeNotes
<campaign_id>YesstringThe campaign ID.
date_fromYesstringThe date to get earnings metrics from. Date format: YYYY-MM-DD.
date_toYesstringThe date to get earnings metrics up to. Date format: YYYY-MM-DD.
billing_cycleNostringThe billing cycle. Possible values: monthly, annual.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/54321/metrics/earnings?date_from=2022-01-01&date_to=2022-12-01&billing_cycle=annual \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "value": 37.21
}

Get Campaigns Earnings Report

Returns the affiliate campaign earnings report.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/<campaign_id>/reports/earnings
Request
ParameterRequiredData typeNotes
<campaign_id>YesstringThe campaign ID.
date_fromYesstringThe date to get earnings metrics from. Date format: YYYY-MM-DD.
date_toYesstringThe date to get earnings metrics up to. Date format: YYYY-MM-DD.
billing_cycleYesstringThe billing cycle. Possible values: monthly, annual.
aggregationYesstringThe timespan by which to aggregate the report. Possible values: day, week, month.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/54321/reports/earnings?date_from=2022-01-01&date_to=2022-12-01&billing_cycle=annual&aggregation=month \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "items": [
        {
            "date_range": {
                "from": "2022-03-01 00:00:00",
                "to": "2022-03-31 23:59:59"
            },
            "total": 12
        },
        {
            "date_range": {
                "from": "2022-04-01 00:00:00",
                "to": "2022-04-30 23:59:59"
            },
            "total": 34
        },
        {
            "date_range": {
                "from": "2022-05-01 00:00:00",
                "to": "2022-05-31 23:59:59"
            },
            "total": 56
        }
    ]
}

Get Campaigns Summary

Returns the affiliate campaigns summary.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/<campaign_id>/summary
Request
ParameterRequiredData typeNotes
<campaign_id>YesstringThe campaign ID.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/54321/summary \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "click": 21,
    "trial": 37,
    "paid": 42,
    "earnings": 3127.00
}

Get Best Performing Campaigns Clicks Report

Returns clicks report for a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/clicks
Request
ParameterRequiredData typeNotes
limitYesintThe number of campaigns to return.
date_fromYesstringThe date to get clicks report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get clicks report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/clicks?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "items": [
        {
            "id": 123,
            "name": "campaign_123",
            "value": 300,
            "product": "chatbot"
        },
        {
            "id": 456,
            "name": "campaign_456",
            "value": 400,
            "product": "livechat"
        }
    ]
}

Get Best Performing Campaigns Trials Report

Returns trials report for a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/trials
Request
ParameterRequiredData typeNotes
limitYesintThe number of campaigns to return.
date_fromYesstringThe date to get trials report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get trials report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/trials?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "items": [
        {
            "id": 123,
            "name": "campaign_123",
            "value": 300,
            "product": "chatbot"
        },
        {
            "id": 456,
            "name": "campaign_456",
            "value": 400,
            "product": "livechat"
        }
    ]
}

Get Best Performing Campaigns Conversions Report

Returns conversions report for a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/conversions
Request
ParameterRequiredData typeNotes
limitYesintThe number of campaigns to return.
date_fromYesstringThe date to get conversions report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get conversions report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/conversions?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "items": [
        {
            "id": 123,
            "name": "campaign_123",
            "value": 300,
            "product": "chatbot"
        },
        {
            "id": 456,
            "name": "campaign_456",
            "value": 400,
            "product": "livechat"
        }
    ]
}

Get Best Performing Campaigns Earnings Report

Returns earnings report for a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/earnings
Request
ParameterRequiredData typeNotes
limitNointThe number of campaigns to return.
date_fromNostringThe date to get earnings report from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toNostringThe date to get earnings report up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/reports/earnings?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "items": [
        {
            "id": 123,
            "name": "campaign_123",
            "value": 300.10,
            "product": "chatbot"
        },
        {
            "id": 456,
            "name": "campaign_456",
            "value": 400.10,
            "product": "livechat"
        }
    ]
}

Get Best Performing Campaigns Clicks Metrics

Returns summarized number of clicks generated from a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/clicks
Request
ParameterRequiredData typeNotes
limitYesintThe number of campaigns to return.
date_fromYesstringThe date to get clicks metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get clicks metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/clicks?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "value": 123
}

Get Best Performing Campaigns Trials Metrics

Returns summarized number of trials generated from a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/trials
Request
ParameterRequiredData typeNotes
limitYesintThe number of campaigns to return.
date_fromYesstringThe date to get trials metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get trials metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/trials?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "value": 123
}

Get Best Performing Campaigns Conversions Metrics

Returns summarized number of trials converted into paid licenses generated from a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/conversions
Request
ParameterRequiredData typeNotes
limitYesintThe number of campaigns to return.
date_fromYesstringThe date to get conversions metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get conversions metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/conversions?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "value": 123
}

Get Best Performing Campaigns Earnings Metrics

Returns summarized earnings generated from a given number of Best Performing campaigns.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/earnings
Request
ParameterRequiredData typeNotes
limitYesintThe number of campaigns to return.
date_fromYesstringThe date to get earnings metrics from. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringThe date to get earnings metrics up to. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/campaigns/best-performing/metrics/earnings?limit=2&date_from=2022-01-01T10:10:10Z&date_to=2022-12-01T10:10:10Z \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "value": 123.00
}

Get Summary

Returns a number of trial affiliate licenses, paid affiliate licenses, and expired affiliate licenses.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/affiliates/summary
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/affiliates/summary \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "trials": 0,
    "paid": 0,
    "expired": 0
}

Solution Partner

Create Organization

Creates a new organization for a client.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/organizations
Request
ParameterRequiredData typeNotes
organization_nameYesstringThe name of the client's organization.
client_nameYesstringThe client's full name.
client_emailYesstringThe organization owner email address.
data_centerNostringThe database location. Possible values: us-south1 (USA), eu-west3 (EU).
identifierNostringA custom organization identifier.
EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/solutions/organizations \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "organization_name": "ACME Inc.",
    "client_name": "John Doe",
    "client_email": "john@example.com",
    "data_center": "us-south1"
  }'
EXAMPLE RESPONSE
Copied!
{
  "id": "66c29d75-909b-491b-a0bf-49f79f57e3d5"
}

Get Organization Licenses

Returns the organization's licenses.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/organizations/<organization_id>/licenses
Request
ParameterRequiredData typeNotes
<organization_id>YesstringThe organization UUID.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/organizations/66c29d75-909b-491b-a0bf-49f79f57e3d5/licenses \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "total": 1,
  "limit": 15,
  "results": [
    {
      "organization_id": "66c29d75-909b-491b-a0bf-49f79f57e3d5",
      "organization_name": "Anna's Organizations",
      "client_name": "Anna Nowak",
      "client_email": "anna.nowak@domain.com",
      "arr": 0,
      "licenses": [
        {
          "external_license_id": "104130623",
          "product": "livechat"
        },
        {
          "external_license_id": "HD-123456789",
          "product": "helpdesk"
        },
        {
          "external_license_id": "123abc456def789",
          "product": "chatbot"
        }
      ]
    }
  ]
}

Get Organization Details

Returns the organization details.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/organizations/<organization_id>
Request
ParameterRequiredData typeNotes
<organization_id>YesstringThe organization ID.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/organizations/66c29d75-909b-491b-a0bf-49f79f57e3d5 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "organization_id": "66c29d75-909b-491b-a0bf-49f79f57e3d5",
  "name": "Dunder Mifflin",
  "data_center": "us-south1",
  "products": [
    {
      "product": "ChatBot"
    },
    {
      "product": "HelpDesk"
    },
    {
      "product": "LiveChat"
    }
  ],
  "created_at": "2025-11-01T08:00:53Z"
}

Create License

Creates a new license inside an organization for a client.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/organizations/<organization_id>/licenses?product=<product>
Request
ParameterRequiredData typeNotes
<organization_id>YesstringThe organization ID of this client's organization.
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
client_nameYesstringThe client's full name (min. 5 characters).
client_emailYesstringThe client's email address. Must match the organization owner email.
payment_originYesstringWho would manage the subscription. Possible values: client, partner.
trial_durationYesintThe number of days of a trial period (min. 14 - default, max. 30).
coupon_idNointA custom parameter.
purchase_orderNostringA custom parameter.
EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/solutions/organizations/66c29d75-909b-491b-a0bf-49f79f57e3d5/licenses?product=livechat \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "client_name": "Joe Doe",
    "client_email": "joe@example.com",
    "payment_origin": "partner",
    "trial_duration": 14
  }'
EXAMPLE RESPONSE
Copied!
{
  "license": "104130623",
  "product": "livechat",
  "creation_timestamp": "2020-02-11 13:18:53",
  "end_timestamp": "2020-02-25 13:18:53",
  "client_name": "Joe Doe",
  "client_email": "joe@example.com",
  "cc_added": false,
  "paid": false,
  "payment_origin": "partner",
  "status": "trial"
}

Get Solution Licenses

Returns the list of licenses.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses
Request
ParameterRequiredData typeNotes
date_fromNostringGet a report for licenses created from a given date. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toNostringGet a report for licenses created up to a given date. Date format: YYYY-MM-DDTHH:mm:ssZ.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "license": "104130623",
      "product": "livechat",
      "client_name": "Joe Doe",
      "client_email": "joe@example.com",
      "creation_timestamp": "2023-02-14 12:39:40",
      "end_timestamp": "2023-06-14 12:39:40",
      "cc_added": false,
      "paid": false,
      "payment_origin": "partner",
      "status": "trial"
    },
    {
      "license": "789",
      "product": "chatbot",
      "client_name": "John Doe",
      "client_email": "john@example.com",
      "creation_timestamp": "2023-05-21 07:39:11",
      "end_timestamp": "2024-05-21 07:39:11",
      "cc_added": true,
      "paid": true,
      "payment_origin": "client",
      "status": "paid"
    }
  ]
}

Get Solution Licenses by Status

Returns the list of licenses by status.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<status>
Request
ParameterRequiredData typeNotes
<status>YesstringThe license status. Possible values: paid, trial, expired.
date_fromYesstringGet a report for licenses created from a given date. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringGet a report for licenses created up to a given date. Date format: YYYY-MM-DDTHH:mm:ssZ.
limitNointThe amount of licenses in response (min: 1, max: 15, default: 15).
next_cursorNostringA next page token received from the previous request's response.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/paid?date_from=2022-09-01&date_to=2023-08-31 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "results": [
    {
      "license_id": "104130623",
      "status": "paid",
      "product": "livechat",
      "client_name": "Joe Doe",
      "client_email": "joe@example.com",
      "payment_origin": "partner",
      "creation_timestamp": "2023-02-14 12:39:40",
      "conversion_timestamp": "2023-03-01 07:51:11",
      "expiration_timestamp": "2023-03-14 11:19:25"
    },
    {
      "license_id": "104130345",
      "status": "paid",
      "product": "chatbot",
      "client_name": "Joe Doe",
      "client_email": "joe@example.com",
      "payment_origin": "client",
      "creation_timestamp": "2022-03-29 17:11:43",
      "conversion_timestamp": "2022-04-11 05:10:00",
      "expiration_timestamp": "2023-04-11 05:10:00"
    }
  ],
  "next_cursor": "MDAwMS0wMS0wMSAwMDowMDowMA=="
}

Get License Details

Returns the license details.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
<license_id>YesstringThe license ID.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "license": "104130623",
  "client_name": "Joe Doe",
  "client_email": "joe@example.com",
  "purchase_order": "Test license",
  "payment_origin": "partner",
  "creation_timestamp": "2018-03-06 12:59:13",
  "end_timestamp": "2018-04-05 11:59:12",
  "conversations": 0,
  "conversations_last_30_days": 0,
  "cc_added": false,
  "paid": false,
  "ql": false,
  "seats": 100,
  "plan": "team",
  "billing_cycle": "monthly",
  "total_discount": 0,
  "discount_percent": 20,
  "total_commission": 0,
  "commission_percent": 0,
  "data_center": "dal",
  "status": "expired",
  "invited_agents": [
    {
      "email": "jane@example.com"
    }
  ]
}

Update License Details

Updates the license details.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
<license_id>YesstringThe license ID.
client_nameYesstringThe client's full name (min. 5 characters).
purchase_orderNostringA custom parameter.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request PUT \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --data 'client_name=Jane Doe'

Invite License Operators

Invites operators to a license.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>/operators
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, helpdesk.
<license_id>YesstringThe license ID.
operatorsYesobject[]The list of users you want to invite to the license.
operators.emailYesstringThe user email.
operators.roleYesstringThe user role. Possible values: administrator, agent (all products), viewer (only for helpdesk).
EXAMPLE REQUEST
Copied!
curl --request POST \
  --url 'https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623/operators' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --data '{
    "operators": [
      {
        "email": "joe@example.com",
        "role": "agent"
      },
      {
        "email": "jane@example.com",
        "role": "administrator"
      }
    ]
  }'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "operator": "joe@example.com",
      "status_code": 200
    },
    {
      "operator": "jane@example.com",
      "status_code": 400
    }
  ]
}

Get License's Invoices

Returns invoices for a given license.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<license_id>/invoices
Request
ParameterRequiredData typeNotes
<license_id>YesstringThe license ID.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/104130623/invoices \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "invoice_no": 123,
      "date": "2018-03-03 09:38:33",
      "plan": "team",
      "seats": 10,
      "billing_cycle": "monthly",
      "amount": 312,
      "status": "paid"
    },
    {
      "invoice_no": 122,
      "date": "2018-02-01 09:18:13",
      "plan": "team",
      "seats": 10,
      "billing_cycle": "monthly",
      "amount": 312,
      "status": "paid"
    }
  ]
}

Get License's Invoice PDF

Returns a PDF invoice.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<license_id>/invoices/<invoice_no>
Request
ParameterRequiredData typeNotes
<license_id>YesstringThe license ID.
<invoice_no>YesstringThe invoice number.
Response

PDF file (Content-Type: application/pdf).

EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/104130623/invoices/123 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'

Create Subscription

Creates a new subscription for a license.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>/subscription
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
<license_id>YesstringThe license ID.
tokenYesstringThe Recurly token. Get it here.
planYesstringThe sales plan. Possible values: starter, team, business.
billing_cycleYesstringThe billing cycle. Possible values: monthly, annual.
seatsYesintThe number of users.
Response

No response payload (201 Created).

EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623/subscription \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "token": "C12ibIjbXbqSAhKjxQWERTY",
    "plan": "team",
    "billing_cycle": "monthly",
    "seats": 5
  }'

Update Subscription

Updates a subscription for a license.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>/subscription
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
<license_id>YesstringThe license ID.
planYesstringThe sales plan. Possible values: starter, team, business.
billing_cycleYesstringThe billing cycle. Possible values: monthly, annual.
seatsYesintThe number of users.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request PUT \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623/subscription \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "plan": "business",
    "billing_cycle": "annual",
    "seats": 10
  }'

Close Subscription

Closes a subscription for a license.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>/subscription
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
<license_id>YesstringThe license ID.
passwordYesstringYour password in Partner Program.
expireNoboolIf true: the license expires immediately. If false (default): the license expires at the end of its billing cycle.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request DELETE \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623/subscription \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "password": "your_password",
    "expire": false
  }'

Update License Billing

Updates the subscription billing information for a license.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>/billing
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
<license_id>YesstringThe license ID.
tokenYesstringThe Recurly token. Get it here.
Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request PUT \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623/billing \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "token": "C12ibIjbXbqSAhKjxQWERTY"
  }'

Transfer License

Transfers a license to the client.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/<product>/<license_id>/transfer
Request
ParameterRequiredData typeNotes
<product>YesstringThe product. Possible values: livechat, chatbot, helpdesk.
<license_id>YesstringThe license ID.
new_ownerYesstringThe new owner's email (one of existing operators).
EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/livechat/104130623/transfer \
  --data 'new_owner=joe@doe.com' \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "license": "987",
  "client_name": "Joe Doe",
  "client_email": "joe@example.com",
  "purchase_order": "Test license",
  "payment_origin": "client",
  "creation_timestamp": "2018-03-06 12:59:13",
  "end_timestamp": "2019-04-05 11:59:12",
  "conversations": 0,
  "conversations_last_30_days": 0,
  "cc_added": false,
  "paid": true,
  "recurrent": false,
  "seats": 100,
  "plan": "team",
  "billing_cycle": "monthly",
  "total_discount": 4148,
  "discount_percent": 20,
  "total_commission": 0,
  "commission_percent": 0,
  "expired": false,
  "blocked": false,
  "data_center": "dal"
}

Get Recurly Token

Returns the token from Recurly. The token is required when creating a new subscription or updating an existing one with the new billing info.

Specifics
Method URLhttps://api.recurly.com/js/v1/token
Request
ParameterRequiredData typeNotes
keyYesstringThe public key: ewr1-QCXZap10wOSm13fxI4u5Jt.
first_nameYesstringThe first name.
last_nameYesstringThe last name.
numberYesstringThe credit card number.
monthYesstringThe credit card expiration month. Format: MM.
yearYesstringThe credit card expiration year. Format: YYYY.
verification_valueYesstringThe CVV code.
address1YesstringThe address.
cityYesstringThe city.
stateYesstringThe state.
zipYesstringThe ZIP/Postal code.
countryYesstringThe country code, one of these.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url 'https://api.recurly.com/js/v1/token?key=ewr1-QCXZap10wOSm13fxI4u5Jt&first_name=John&last_name=Doe&number=4111111111111111&month=12&year=2025&verification_value=123&address1=123%20Main%20St&city=New%20York&state=NY&zip=10001&country=US'
EXAMPLE RESPONSE
Copied!
{
  "id": "C12ibIjbXbqSAhKjxQWERTY"
}

Get License Metrics

Returns the number of trials, paid licenses, and expired licenses from the Solution program.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/count
Request
ParameterRequiredData typeNotes
date_fromYesstringGet trials metrics from a given date. Date format: YYYY-MM-DD.
date_toYesstringGet trials metrics up to a given date. Date format: YYYY-MM-DD.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/licenses/count?date_from=2022-09-01&date_to=2023-08-31 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "trials": 150,
    "paid": 16,
    "expired": 147
}

Get Solution Licenses Report

Returns a report for licenses by license status.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/reports/license
Request
ParameterRequiredData typeNotes
date_fromYesstringGet report from a given date. Date format: YYYY-MM-DDTHH:mm:ssZ.
date_toYesstringGet report up to a given date. Date format: YYYY-MM-DDTHH:mm:ssZ.
aggregationYesstringGet report aggregated by a given timespan. Possible values: day, week, month.
license_statusYesstringGet report for a given licenses status. Possible values: trial, paid, expired.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/reports/license?date_from=2023-03-25T00:00:00Z&date_to=2023-03-26T23:59:59Z&aggregation=month&license_status=trial \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "items": [
        {
            "date_range": {
                "from": "2022-03-01 00:00:00",
                "to": "2022-03-31 23:59:59"
            },
            "total": 12
        },
        {
            "date_range": {
                "from": "2022-04-01 00:00:00",
                "to": "2022-04-30 23:59:59"
            },
            "total": 34
        },
        {
            "date_range": {
                "from": "2022-05-01 00:00:00",
                "to": "2022-05-31 23:59:59"
            },
            "total": 56
        }
    ]
}

Get Solution Licenses CSV Report

Returns a CSV report for licenses.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/licenses/search/csv
Request
ParameterRequiredData typeNotes
filters1NostringApply filters to narrow down the results. URL-encoded array of objects.

1) filters object structure:

  • field - field name. Possible values: license_product, license_status, license_details, license_created_at, payment_origin, credit_card.
  • operator - comparison operator. Possible values: equals, contains, exists, greater_or_equal, lesser_or_equal.
  • value - field value.

Example filter: filters=[{"field": "license_product", "operator": "equals", "value": "LiveChat"}, {"field": "credit_card", "operator": "exists", "value": "no"}]

Response

Returns the data in CSV format.

EXAMPLE REQUEST
Copied!
curl --request GET \
  --url 'https://api.livechatinc.com/v2/partners/solutions/licenses/search/csv?filters=%5B%7B%22field%22%3A%22credit_card%22%2C%22value%22%3A%22no%22%2C%22operator%22%3A%22exists%22%7D%5D' \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
License ID,Managed by,Status,Client name,Client email,Client identifier,Created,Product,Credit card,Card problem,Commission level,Discount level,Total earnings,Total savings
ExampleLicenseID,partner,trial,Client Name,client@test.com,client-identifier,2024-01-22 08:53:53,HelpDesk,no,,0.00,20.00,0.00,0.00

Get Leads

Returns partner leads.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/leads
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/leads \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "result": [
        {
            "lead_id": "123",
            "company_name": "company-123",
            "contact_email": "company-123@test.com",
            "status": "new"
        },
        {
            "lead_id": "456",
            "company_name": "company-456",
            "contact_email": "company-456@test.com",
            "status": "new"
        }
    ]
}

Get Lead Details

Returns lead details.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/leads/<lead_id>
Request
ParameterRequiredData typeNotes
<lead_id>YesstringThe lead ID.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/leads/123 \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "partner_id": "partner-id-123",
    "external_lead_id": "123",
    "status": "new",
    "fee_amount": 0,
    "company_name": "lead-company-name",
    "contact_email": "contact@test.com",
    "domain": "www.company-test-123.com",
    "first_name": "name",
    "last_name": "last name",
    "region": "USA",
    "job_title": "job title",
    "phone_number": "123 456 789",
    "description": "",
    "updated_at": "2023-10-02 15:44:59"
}

Get Lead History

Returns lead history.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/leads/<lead_id>/history
Request
ParameterRequiredData typeNotes
<lead_id>YesstringThe lead ID.
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/leads/54321/history \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "result": [
        {
            "name": "lead_was_created",
            "created_at": "2023-09-18 11:17:35"
        }
    ]
}

Submit Lead

Submits a lead.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/leads
Request
ParameterRequiredData typeNotes
partner_nameYesstringThe partner name.
partner_emailYesstringThe partner email.
company_nameYesstringThe lead company name.
contact_emailYesstringThe lead contact email.
domainYesstringThe domain.
first_nameYesstringThe first name.
last_nameYesstringThe last name.
regionNostringThe lead region (country code).
job_titleNostringThe job title.
phone_numberNostringThe phone number.
descriptionNostringThe description.
sends_personal_introductionNoboolSet to true to send personal introduction.
is_included_in_communicationNoboolSet to true to be included in communication.
accepts_requirementsYesboolSet to true to accept requirements.
monetization_typeYesstringPossible values: flat_fee, rev_share. Check the difference here.
EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/solutions/leads \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "partner_name": "John Doe",
    "partner_email": "john@partner.com",
    "company_name": "ACME Inc.",
    "contact_email": "contact@acme.com",
    "domain": "www.acme.com",
    "first_name": "Jane",
    "last_name": "Smith",
    "accepts_requirements": true,
    "monetization_type": "flat_fee"
  }'
EXAMPLE RESPONSE
Copied!
{
    "lead_id": "123"
}

Get Solution Summary

Returns a summary from the Solution Program.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/solutions/summary
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/solutions/summary \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
    "trials": "12",
    "paid": "14",
    "expired": "13",
    "commission": "12.33",
    "discount": "34.11"
}

Partner Directory

Upload Logo

Uploads the Expert logo.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/experts/profile/logo
Request

The request body should contain a .jpg or .png image, min. 350x350px, max. 1000x1000px.

EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/experts/profile/logo \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: image/png' \
  --data-binary '@logo.png'
EXAMPLE RESPONSE
Copied!
{
  "result": "https://cdn.example.com/expert-logo.png"
}

Create Expert Profile

Creates the Expert profile.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/experts/profile
Request
ParameterRequiredData typeNotes
companyYesstringThe company name (min. 4 characters).
phoneYesstringThe phone number.
descriptionYesstringThe description displayed in the profile details (min. 10 characters).
short_descriptionYesstringThe description displayed in the Expert tile (min. 10 characters).
countryYesstringThe country code, one of these.
websiteYesstringThe website URL.
categoriesYesstring[]An array of categories1.
industry_idsYesint[]Industry specializations2.
projectsYesstring[]An array of projects (URLs).
agentsNostringThe number of agents (required if category is outsourcing-customer-service). Possible values: 1-5, 6-15, 16-30, 31-50, 51+.
languagesNostring[]An array of language codes (required if category is outsourcing-customer-service). Available languages.
hour_rateNointThe minimum hourly rate.
project_rateNointThe minimum project rate.
facebookNostringThe URL to the Facebook page.
twitterNostringThe URL to the Twitter page.
linkedinNostringThe URL to the LinkedIn page.

1) Possible values for categories:

  • chat-agent-outsourcing
  • custom-development
  • product-implementation
  • chatbot-building
  • training

2) Possible values for industry_ids:

  • 1 - Banks
  • 4 - Financial Services
  • 7 - Government
  • 10 - Healthcare
  • 13 - Education & Universities
  • 16 - Telecommunications
  • 19 - Technology
  • 22 - Media & Entertainment
  • 25 - Travelling
  • 28 - Charities, Foundations & Non-Profits
  • 31 - E-commerce
  • 34 - Medical & Wellness
  • 37 - Hospitality
  • 40 - Real Estate
  • 43 - Automotive
  • 46 - Professional Services
  • 49 - Other
Response

No response payload (201 Created).

EXAMPLE REQUEST
Copied!
curl --request POST \
  --url https://api.livechatinc.com/v2/partners/experts/profile \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "company": "ACME",
    "phone": "123456789",
    "description": "Long description goes here",
    "short_description": "Short description",
    "country": "US",
    "website": "https://partners.livechatinc.com",
    "categories": ["api-and-integrations"],
    "industry_ids": [19, 22],
    "projects": ["https://example.com"]
  }'

Get Expert Profile

Returns the Expert profile details.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/experts/profile
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/experts/profile \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "expert_id": "expert-example",
  "partner_id": "BC-SAMPLE123",
  "status": "verified",
  "company": "ACME",
  "phone": "123456789",
  "logo": "https://cdn.example.com/expert-logo.png",
  "description": "Long description goes here",
  "short_description": "Short description (visible in Marketplace tile)",
  "agents": "5+",
  "hour_rate": 50,
  "project_rate": 500,
  "country": "US",
  "website": "https://partners.livechatinc.com",
  "twitter": "https://twitter/LiveChatProgram",
  "categories": [
    "api-and-integrations",
    "chat-strategy-consultancy"
  ],
  "languages": [
    "EN",
    "ES"
  ],
  "projects": [
    "https://example.com"
  ],
  "industry_ids": [
    19,
    22,
    25,
    28
  ]
}

Update Expert Profile

Updates the Expert profile details.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/experts/profile
Request

See Create Expert Profile for parameter details.

Response

No response payload (204 No Content).

EXAMPLE REQUEST
Copied!
curl --request PUT \
  --url https://api.livechatinc.com/v2/partners/experts/profile \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{
    "company": "ACME Updated",
    "phone": "987654321",
    "description": "Updated long description",
    "short_description": "Updated short description",
    "country": "US",
    "website": "https://partners.livechatinc.com",
    "categories": ["custom-development"],
    "industry_ids": [19],
    "projects": ["https://example.com"]
  }'

Get Comments

Returns comments on the Expert profile.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/experts/comments
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/experts/comments \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "comment": "This Expert provides a valuable tool to any online business. Very impressed with the speed at which chats are answered and the professional yet personal touch with which they approach each chat.",
      "author": "Joe",
      "creation_timestamp": "2018-03-06 10:21:50",
      "website": "https://example.com"
    },
    {
      "comment": "Great company and great people. They have helped train the team and get the most out of the chat system. Inbounds have increased and process has improved. The product itself is very easy to use. A brilliant service end to end.",
      "author": "Jane",
      "creation_timestamp": "2018-02-22 13:32:28",
      "website": ""
    }
  ]
}

Get Expert Stats

Returns stats (Experts Marketplace position, number of comments and messages) for the Expert profile.

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/experts/stats
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/experts/stats \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "position": 1,
  "comments": 18,
  "messages": 132
}

Get Expert History

Returns historical stats for the Expert profile views (up to last 12 months).

Specifics
Method URLhttps://api.livechatinc.com/v2/partners/experts/history
EXAMPLE REQUEST
Copied!
curl --request GET \
  --url https://api.livechatinc.com/v2/partners/experts/history \
  --header 'Authorization: Bearer <YOUR_API_TOKEN>'
EXAMPLE RESPONSE
Copied!
{
  "result": [
    {
      "date": "2018-03",
      "profile_views": 123
    },
    {
      "date": "2018-02",
      "profile_views": 212
    },
    {
      "date": "2018-01",
      "profile_views": 286
    }
  ]
}

Response errors

This section describes the error responses that can be returned by the Partner API.

Status codeError typeDescription
400Bad requestThe request contains missing or incorrect parameters.
401UnauthorizedThe authorization header is missing or incorrect.
403ForbiddenThe authenticated partner lacks permission to access the requested resource or perform the action.
404Not foundThe requested resource does not exist or is not accessible.
409ConflictThe request conflicts with the current state of the resource. The resource may already exist or cannot be found.

Contact us

If you found a bug or a typo, you can let us know directly on GitHub. For questions or feedback, contact us at developers@text.com.

...

Join the community
Get in direct contact with us through Discord.
Follow us
Follow our insightful tweets and interact with our content.
Contribute
See something that's wrong or unclear? Submit a pull request.
Contact us
Want to share feedback? Reach us at: developers@text.com